#pragma once
#include "Actor/DirectionalLightActor.h"
#include "Actor/PointLightActor.h"
#include "Actor/StaticMeshActor.h"
#include "Game.h"
#include "Graphics/RenderPass/BasePass.h"

class FluidSimulationGame : public Seele::Game {
public:
  FluidSimulationGame();
  virtual ~FluidSimulationGame() override;
  virtual void setupScene(Seele::PScene scene, Seele::PSystemGraph graph) override;
private:
  Seele::OStaticMeshActor mesh;
  Seele::ODirectionalLightActor sun;
  Seele::OPointLightActor pointLight;
  Seele::OCameraActor cam;
};

extern "C" FluidSimulationGame* createInstance();
extern "C" void destroyInstance(FluidSimulationGame* game);